
// -*- mode: c++; c-basic-offset:4 -*-

// This file is part of libdap, A C++ implementation of the OPeNDAP Data
// Access Protocol.

// Copyright (c) 2002,2003,2005 OPeNDAP, Inc.
// Author: James Gallagher <jgallagher@opendap.org>
//         Reza Nekovei <reza@intcomm.net>
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.


// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// netCDF sub-class implementation for NCByte,...NCGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 1/12/95

#ifndef _ncgrid_h
#define _ncgrid_h 1


#include "Grid.h"
#include "NCAccess.h"

using namespace libdap ;

class NCGrid: public Grid, public NCAccess {
protected:
    void m_duplicate(const NCGrid &bt);

public:
    NCGrid(const string &n);
    NCGrid(const NCGrid &rhs);
    virtual ~NCGrid();

    NCGrid &operator=(const NCGrid &rhs);
    virtual BaseType *ptr_duplicate();

    virtual string build_constraint(int outtype, const size_t *start,
        const size_t *edges, const ptrdiff_t *stride) throw(Error);

    virtual bool is_convertable(int outtype);
    virtual nc_type get_nc_type() throw(InternalErr);
    
    virtual void extract_values(void *values, int elements, int outtype,
                                const ClientParams &cp) throw(Error);
};

#endif

